import { z } from 'zod';
export declare const entitlementEndpoint: {
    readonly name: "Entitlement";
    readonly description: "Get entitlement for remote requests with a token";
    readonly category: "Authentication Endpoints";
    readonly type: "other";
    readonly suffix: "https://entitlements.auth.riotgames.com/api/token/v1";
    readonly method: "POST";
    readonly headers: Map<string, string>;
    readonly riotRequirements: {
        readonly token: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            entitlements_token: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            entitlements_token: string;
        }, {
            entitlements_token: string;
        }>;
    };
};
export type EntitlementResponse = z.input<typeof entitlementEndpoint.responses['200']>;
